GET /spacestation/
thespacedevs.com:launch-library-api
Summary: List space stations
Operation ID: listSpaceStations
Auth: unknown
Operation ID: listSpaceStations
Auth: unknown
Description
Returns a paginated list of space stations.
Parameters (4)
limit
(integer, query, optional, default: 10)
Number of results to return per page
offset
(integer, query, optional, default: 0)
The initial index from which to return the results
owners__id
(integer, query, optional)
Filter by owner agency ID
status__id
(integer, query, optional)
Filter by status ID
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List all space stations (default pagination) | curl |
https://ll.thespacedevs.com/2.2.0/spacestation/ |
|
| List space stations with increased page size | curl |
https://ll.thespacedevs.com/2.2.0/spacestation/?limit=20&offset=0 |
|
| List active space stations filtered by owner | curl |
https://ll.thespacedevs.com/2.2.0/spacestation/?owners__id=44&status__id=1&limit=10 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:12:53.294514 | 200 | 254ms | |
| 2026-03-23 09:34:00.593327 | 429 | 446ms | |
| 2026-03-23 09:12:01.531250 | 200 | 314ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:34:00.593327 | 7b9d6b6044c0 |
099a851f9cb5 |
| 2026-03-23 10:12:53.294514 | 099a851f9cb5 |
5ed2826277ff |